package fumdb.domain;

import fumdb.sql.Persistence;

/**
 * @author Richard Cyganiak
 */
public class Function extends PersistentData {

	private Song song;
	private Musician musician;
	private String function;
	
	public Function(Persistence persistence, Song song, Musician musician, String function) {
		super(persistence);
		this.song = song;
		this.musician = musician;
		this.function = function;
	}

	public String getFunction() {
		return function;
	}

	public Song getSong() {
		return song;
	}
	
	public Musician getMusician() {
		return musician;
	}
}
