package fumdb.gui;

import java.awt.Component;
import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.ImageIcon;
import javax.swing.JPanel;

/**
 * @author anja
 */

public abstract class FormView extends View {

	public FormView(Dimension size, String title) {
		super(size, title);
		createFrame();
	}


	public void addToGBL(JPanel form, GridBagLayout gridbag, Component c, 
             int x, int y, int width, int height, int fill) {
		GridBagConstraints gbc = new GridBagConstraints();
		gbc.gridy = y;
		gbc.gridx = x;		
		gbc.gridwidth = width;
		gbc.gridheight = height;
		gbc.insets = new Insets(0,0,4,10);
		gbc.fill = GridBagConstraints.HORIZONTAL;
		gridbag.setConstraints(c, gbc);
		form.add(c);
	}
	
	protected abstract ImageIcon getIcon();
}
