package fumdb.domain;

import java.util.Vector;

import fumdb.sql.Persistence;

/**
 * @author Richard Cyganiak
 */
public class RecordCompany extends PersistentData {

	private String name;
	private String url;

	public RecordCompany(Persistence persistence, String name, String url) {
		super(persistence);
		this.name = name;
		this.url = url;
	}
	
	public String getName() {
		return name;
	}
	
	public String getURL() {
		return url;
	}
	
	public Vector getRecords() {
		return getPersistence().getRecordsByCompany(name);
	}
}
