package fumdb.domain;

/**
 * @author Richard Cyganiak
 */
public class SongId {

	private static final int NO_ID = 0;
	
	private int musicianId;
	private int songId;
	
	public SongId(int musicianId, int songId) {
		this.musicianId = musicianId;
		this.songId = songId;
	}

	public SongId(int musicianId) {
		this(musicianId, NO_ID);
	}

	public int getMusicianId() {
		return musicianId;
	}

	public int getSongId() {
		return songId;
	}
	
	public boolean isUnknown() {
		return (songId == NO_ID);
	}
	
	protected void setSongId(int songId) {
		this.songId = songId;
	}
}
