package fumdb.servlet;

import java.io.PrintWriter;
import java.sql.SQLException;

/**
 * @author Richard Cyganiak
 */
public class RequestErrorPage extends HtmlPage {

	private String message;

	public RequestErrorPage(String message) {
		this.message = message;
	}

	protected String getTitle() {
		return "Objekt nicht gefunden";
	}

	protected String getHeadline() {
		return "<h1>Das gewnschte Objekt konnte nicht gefunden werden.</h1>";
	}

	protected void printBody() {
		if (message != null && !message.equals("")) {
			out("<p><strong>Fehler</strong>: " + message + "</p>");
		}
		p(link(null, "Zur Homepage"));
	}
}
